List workflows
curl --request GET \
--url https://api.quiva.ai/hub/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"subject": "ms.hub.config.workflow.draft.1234567890.98765432",
"name": "DataProcessor",
"description": "Processes incoming data",
"config": {
"nodes": [
{
"data": {
"id": "input",
"name": "Input",
"node_type": "map",
"payload": {
"data": "{trigger}"
}
}
}
],
"edges": [],
"result": "input"
},
"modified": 1651395678
},
{
"subject": "ms.hub.config.workflow.draft.1234567890.12345678",
"name": "NotificationSender",
"description": "Sends notifications to users",
"config": {
"nodes": [
{
"data": {
"id": "send",
"name": "Send",
"node_type": "function",
"subject": "quiva-function.send-email",
"payload": {
"to": "{trigger.email}"
}
}
}
],
"edges": [],
"result": "send"
},
"modified": 1651395679
}
],
"results_total": 2
}Workflows
List workflows
Retrieves a list of workflows, optionally filtered by collection and type
GET
/
hub
/
workflows
List workflows
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
The topic is a hash of the name that was used when a collection was created
Query Parameters
Filter workflows by type. If not specified, all types will be listed
Available options:
draft, published ⌘I